/**
 * 
 */
package org.jboss.as.ejb3.metadata.processor;

import org.jboss.deployers.structure.spi.DeploymentUnit;
import org.jboss.ejb3.deployers.metadata.processor.JBossMetaDataProcessorFactory;
import org.jboss.metadata.ejb.jboss.JBossMetaData;
import org.jboss.metadata.process.processor.JBossMetaDataProcessor;

/**
 * Creates a {@link DefaultJMSResourceAdapterMetadataProcessor} which is responsible 
 * for setting the default JMS resource adapter name for EJB3.x message driven beans
 *
 * @author Jaikiran Pai
 * @version $Revision: $
 */
public class DefaultJMSResourceAdapterMetadataProcessorFactory implements JBossMetaDataProcessorFactory<JBossMetaData>
{

   private String defaultRAName;

   /**
    * Constructs a {@link DefaultJMSResourceAdapterMetadataProcessorFactory}
    * @param raName The default ra name
    */
   public DefaultJMSResourceAdapterMetadataProcessorFactory(String raName)
   {
      this.defaultRAName = raName;
   }

   /**
    * Returns an instance of {@link DefaultJMSResourceAdapterMetadataProcessor}
    */
   public JBossMetaDataProcessor<JBossMetaData> create(DeploymentUnit deploymentUnit)
   {
      return new DefaultJMSResourceAdapterMetadataProcessor(this.defaultRAName);
   }

}
